/*
*******************************************************************************
*  Copyright (c) 1997 Martin Poole                            *
*******************************************************************************
**
** WARNING !!  WARNING !! WARNING !! WARNING !! WARNING !! WARNING !!
**
** Any changes to be made to this file should first be checked with
** mplib1 source control for library integrity.
**
** mplib1 source control can be reached at  mplib1@quatermass.co.uk
** 
*
*  System         :
*  Subsystem      :
*  Module         :
*  $Source$
*  $Author$
*  $Date$
*  $Revision$
*  Purpose        :
*
*******************************************************************************
*
* Change History
*
* $Log$
*
*******************************************************************************
*/

#ident "$Header$"

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <string.h>
#include <sys/types.h>

#include <mplib1/dl_list.h>
#include <mplib1/cfg_file.h>

#include "watch_lock.h"

/* ------------------------------------------------------------------
    structures / defines
   ------------------------------------------------------------------ */

static char lock_file_name[]="LOCK_FILE";
static char lock_file_default[]="$HOME/pipe/watchdog.lck";
static char *lock_name=NULL;

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

static void
set_lock_name( void )
{
    if (lock_name==NULL)
	lock_name = strdup(eval_config_default( lock_file_name,
						lock_file_default ));
    return;
}

const char *
get_lock_name( void )
{
    set_lock_name();
    return(lock_name);
}


/* -- End of File -- */
