/*
*******************************************************************************
*  Copyright (c) 1997 Martin Poole                            *
*******************************************************************************
**
** WARNING !!  WARNING !! WARNING !! WARNING !! WARNING !! WARNING !!
**
** Any changes to be made to this file should first be checked with
** mplib1 source control for library integrity.
**
** mplib1 source control can be reached at  mplib1@quatermass.co.uk
** 
*
*  $Source$
*  $Author$
*  $Date$
*  $Revision$
*  Purpose        :  Safe strlen
*
*******************************************************************************
*
* Change History
*
* $Log$
*
*******************************************************************************
*/

#ident "$Header$"

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdlib.h>
#include <string.h>

#include <mplib1/mplib1_config.h>
#include <mplib1/safe_string.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

size_t
Sstrlen( const char *str1 )
{
    size_t i;
    if (str1)
	i=strlen(str1);
    else
	i=0;
    return(i);
}

char *
Sstrcpy( char *str1, const char *str2 )
{
    if (str2)
	strcpy( str1, str2 );
    else 
	*str1='\0';
    return(str1);
}

/* -- End of File -- */
